Subject: Re: bug#20704: info.el bug fix; Interprets Info format wrongly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jun 2015 16:11:16 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 10 Jun 2015 23:02:16 -0400
> 
> > But Texinfo 5.x and later does count the CR characters, so the
> > stand-alone Info reader was recently changed to account for that.
> > Which means that Emacs will now have a problem, whereby the byte
> > counts in the tag tables will be inaccurate, and our only hope is the
> > 1000-character tolerance we use to look for the node around the
> > position stated in the tag table will be large enough.
> 
> If needed, I think we could make it work reasonably cheaply with
> something along the lines of (100% guaranteed untested code):

Sure, but this needs to be conditioned on the EOL encoding we actually
found when we read the file.